/**
 * AudioMediaType.java
 *
 * File generated from the medication::AudioMediaType uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration AudioMediaType.
 *
 * 
 */

@XmlType(name = "AudioMediaType")
@XmlEnum
@XmlRootElement(name = "AudioMediaType")
public enum AudioMediaType {
	@XmlEnumValue("audio/basic")
	AUDIOBASIC("audio/basic"),
	@XmlEnumValue("audio/k32adpcm")
	AUDIOK32ADPCM("audio/k32adpcm"),
	@XmlEnumValue("audio/mpeg")
	AUDIOMPEG("audio/mpeg");
	
	private final String value;

    AudioMediaType(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }

    public static AudioMediaType fromValue(String v) {
        for (AudioMediaType c: AudioMediaType.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}